Package sop

# Class MicAlg

java.lang.Object
sop.MicAlg

public class MicAlg extends Object

## Constructor Summary

Constructors
Constructor
Description
`MicAlg(String micAlg)`

## Method Summary

Modifier and Type
Method
Description
`static MicAlg`
`empty()`
`static MicAlg`
`fromHashAlgorithmId(int id)`
`String`
`getMicAlg()`
`void`
`writeTo(OutputStream outputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MicAlg

public MicAlg(String micAlg)

## Method Details

### empty

public static MicAlg empty()

### fromHashAlgorithmId

public static MicAlg fromHashAlgorithmId(int id)

### getMicAlg

public String getMicAlg()

### writeTo

public void writeTo(OutputStream outputStream)